AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

### - g -

- gatherConnectionInfo() : AMPS::HAClient
- get() : AMPS::BlockStore , AMPS::BookmarkStore , AMPS::ReconnectDelayStrategy , AMPS::Store
- getAckBatchSize() : AMPS::Client
- getAckTimeout() : AMPS::Client
- getAckType() : AMPS::Command , AMPS::Message
- getAckTypeEnum() : AMPS::Command , AMPS::Message
- getAutoAck() : AMPS::Client
- getBatchSize() : AMPS::Message
- getBlockChainHeaderSize() : AMPS::BlockPublishStore
- getBlockDataSize() : AMPS::BlockPublishStore
- getBlockHeaderSize() : AMPS::BlockPublishStore , AMPS::BlockStore
- getBlockSize() : AMPS::BlockPublishStore , AMPS::BlockStore
- getBookmark() : AMPS::DynamicRecoveryPoint , AMPS::FixedRecoveryPoint , AMPS::Message , AMPS::RecoveryPoint , AMPS::RecoveryPointImpl
- getBookmarkStore() : AMPS::Client
- getBuffer() : AMPS::BlockStore
- getByte() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getBytes() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getClassName() : AMPS::AMPSException
- getClientName() : AMPS::Message
- getCommand() : AMPS::Message
- getCommandEnum() : AMPS::Message
- getCommandId() : AMPS::Message
- getConnectionInfo() : AMPS::Client , AMPS::HAClient
- getConnectionName() : AMPS::Client
- getConnectWaitDuration() : AMPS::ExponentialDelayStrategy , AMPS::FixedDelayStrategy , AMPS::ReconnectDelayStrategy , AMPS::ReconnectDelayStrategyImpl
- getCorrelationId() : AMPS::Message
- getCurrentAuthenticator() : AMPS::DefaultServerChooser , AMPS::ServerChooser , AMPS::ServerChooserImpl
- getCurrentURI() : AMPS::DefaultServerChooser , AMPS::ServerChooser , AMPS::ServerChooserImpl
- getData() : AMPS::Message
- getDefaultMaxDepth() : AMPS::Client
- getDefaultResizeBlocks() : AMPS::BlockStore
- getDefaultResizeSize() : AMPS::BlockStore
- getDefaultResubscriptionTimeout() : AMPS::MemorySubscriptionManager
- getDepth() : AMPS::MessageStream
- getDisconnectHandler() : AMPS::Client
- getDuplicateMessageHandler() : AMPS::Client
- getError() : AMPS::DefaultServerChooser , AMPS::ServerChooser , AMPS::ServerChooserImpl
- getErrorOnPublishGap() : AMPS::Store
- getExceptionListener() : AMPS::Client
- getExpiration() : AMPS::Message
- getFailedWriteHandler() : AMPS::Client
- getFilter() : AMPS::Message
- getGenerationCount() : AMPS::MemorySubscriptionManager , AMPS::SubscriptionManager
- getGroupSequenceNumber() : AMPS::Message
- getHandle() : AMPS::Client
- getHeartbeat() : AMPS::Message
- getInt32() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getInt64() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getLastPersisted() : AMPS::BlockPublishStore , AMPS::HybridPublishStore , AMPS::Store , AMPS::StoreImpl
- getLeasePeriod() : AMPS::Message
- getLength() : AMPS::Message::Options
- getLogonCorrelationData() : AMPS::Client
- getLogonOptions() : AMPS::HAClient
- getLowestUnpersisted() : AMPS::BlockPublishStore , AMPS::HybridPublishStore , AMPS::Store , AMPS::StoreImpl
- getLowWatermark() : AMPS::HybridPublishStore
- getMatches() : AMPS::Message
- getMaxDepth() : AMPS::MessageStream
- getMaxSubIdLength() : AMPS::BookmarkStore , AMPS::BookmarkStoreImpl
- getMessage() : AMPS::MessageImpl
- getMessageLength() : AMPS::Message
- getMessageType() : AMPS::Message
- getMostRecent() : AMPS::BookmarkStore , AMPS::BookmarkStoreImpl , AMPS::LoggedBookmarkStore , AMPS::MemoryBookmarkStore , AMPS::MMapBookmarkStore , AMPS::RingBookmarkStore
- getName() : AMPS::Client
- getNameHash() : AMPS::Client
- getNameHashValue() : AMPS::Client
- getOldestBookmarkSeq() : AMPS::BookmarkStore , AMPS::BookmarkStoreImpl , AMPS::MemoryBookmarkStore
- getOptions() : AMPS::Message
- getOrderBy() : AMPS::Message
- getPart() : AMPS::CompositeMessageParser
- getPassword() : AMPS::Message
- getPosition() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getPublishStore() : AMPS::Client
- getQueryId() : AMPS::Message
- getQueryID() : AMPS::Message
- getRawAckType() : AMPS::Message
- getRawBatchSize() : AMPS::Message
- getRawBookmark() : AMPS::Message
- getRawClientName() : AMPS::Message
- getRawCommand() : AMPS::Message
- getRawCommandId() : AMPS::Message
- getRawCorrelationId() : AMPS::Message
- getRawExpiration() : AMPS::Message
- getRawFilter() : AMPS::Message
- getRawGroupSequenceNumber() : AMPS::Message
- getRawHeartbeat() : AMPS::Message
- getRawLeasePeriod() : AMPS::Message
- getRawMatches() : AMPS::Message
- getRawMessageLength() : AMPS::Message
- getRawMessageType() : AMPS::Message
- getRawOptions() : AMPS::Message
- getRawOrderBy() : AMPS::Message
- getRawPassword() : AMPS::Message
- getRawQueryId() : AMPS::Message
- getRawQueryID() : AMPS::Message
- getRawReason() : AMPS::Message
- getRawRecordsInserted() : AMPS::Message
- getRawRecordsReturned() : AMPS::Message
- getRawRecordsUpdated() : AMPS::Message
- getRawSequence() : AMPS::Message
- getRawSowDelete() : AMPS::Message
- getRawSowKey() : AMPS::Message
- getRawSowKeys() : AMPS::Message
- getRawStatus() : AMPS::Message
- getRawSubId() : AMPS::Message
- getRawSubscriptionId() : AMPS::Message
- getRawSubscriptionIds() : AMPS::Message
- getRawTimeoutInterval() : AMPS::Message
- getRawTimestamp() : AMPS::Message
- getRawTopic() : AMPS::Message
- getRawTopicMatches() : AMPS::Message
- getRawTopNRecordsReturned() : AMPS::Message
- getRawTransmissionTime() : AMPS::Message
- getRawUserId() : AMPS::Message
- getRawVersion() : AMPS::Message
- getReason() : AMPS::Message
- getReconnectDelay() : AMPS::HAClient
- getReconnectDelayStrategy() : AMPS::HAClient
- getRecordsInserted() : AMPS::Message
- getRecordsReturned() : AMPS::Message
- getRecordsUpdated() : AMPS::Message
- getResubscriptionTimeout() : AMPS::MemorySubscriptionManager
- getRetryOnDisconnect() : AMPS::Client
- getSequence() : AMPS::Message
- getServerChooser() : AMPS::HAClient
- getServerVersion() : AMPS::Client
- getServerVersionInfo() : AMPS::Client
- getSize() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getSizet() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getSowDelete() : AMPS::Message
- getSowKey() : AMPS::Message
- getSowKeys() : AMPS::Message
- getStatus() : AMPS::Message
- getStr() : AMPS::Message::Options
- getString() : AMPS::_FIXBuilder< T >
- getSubId() : AMPS::DynamicRecoveryPoint , AMPS::FixedRecoveryPoint , AMPS::Message , AMPS::RecoveryPoint , AMPS::RecoveryPointImpl
- getSubscriptionId() : AMPS::Message
- getSubscriptionIds() : AMPS::Message
- getSubscriptionManager() : AMPS::Client
- getTimeout() : AMPS::HAClient
- getTimeoutInterval() : AMPS::Message
- getTimestamp() : AMPS::Message
- getTopic() : AMPS::Message
- getTopicMatches() : AMPS::Message
- getTopNRecordsReturned() : AMPS::Message
- getTransmissionTime() : AMPS::Message
- getUint32() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getUint64() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- getUnsetPosition() : AMPS::StoreImpl
- getUnsetSequence() : AMPS::StoreImpl
- getURI() : AMPS::Client
- getUserId() : AMPS::Message
- getVersion() : AMPS::Message